%global momorel 8

Name:           perl-KeyedMutex
Version:        0.06
Release:        %{momorel}m%{?dist}
Summary:        Interprocess keyed mutex
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/KeyedMutex/
Source0:        http://www.cpan.org/authors/id/K/KA/KAZUHO/KeyedMutex-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Remove
BuildRequires:  perl-Regexp-Common
BuildRequires:  perl-Test-Pod-Coverage >= 1.04
Requires:       perl-File-Remove
Requires:       perl-Regexp-Common
Requires:       perl-Test-Pod-Coverage >= 1.04
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:	noarch

%description
KeyedMutex is an interprocess keyed mutex. Its intended use is to prevent
sending identical requests to database servers at the same time. By using
KeyedMutex, only a single client would send a request to the database, and
others can retrieve the result from a shared cache (namely memcached or
Cache::Swifty) instead.

%prep
%setup -q -n KeyedMutex-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_mandir}/man1

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/KeyedMutex*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.06-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-4m)
- rebuild against perl-5.10.1

* Tue Jul 21 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.06-3m)
- build fix (delete _smp_mflags)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-2m)
- rebuild against rpm-4.6

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-1m)
- Specfile autogenerated by cpanspec 1.77 for Momonga Linux.
